Subject: FW: Document Action: Netlink as an IP Services Protocol to Inform ational

From: "Putzolu, David" <[email-masked]>
Date: Thu, 10 Apr 2003 10:57:11 -0700

Forwarded - will add IESG secretary to list of authorized
non-subscriber senders.

> -----Original Message-----
> From: The IESG [mailto:[email-masked]]
> Sent: Wednesday, April 09, 2003 8:18 AM
> Cc: RFC Editor; Internet Architecture Board;
> [email-masked]
> Subject: Document Action: Netlink as an IP Services Protocol
> to Informational
>
> The IESG has approved the Internet-Draft 'Netlink as an IP Services
> Protocol' <draft-ietf-forces-netlink-04.txt> as an Informational RFC.
> This document is the product of the Forwarding and Control Element
> Separation Working Group.  The IESG contact persons are Bill Fenner
> and Alex Zinin.
>
> Rfc-ed note:
>  -------------
>
>  Change Title
>  OLD:
>          Netlink as an IP Services Protocol
>  NEW:
>          Linux Netlink as an IP Services Protocol
>
>  Change Abstract
>  OLD:
> This document describes Linux Netlink, which is used in Linux both
> as an intra-kernel messaging system as well as between kernel and
> user space. This document is intended as informational in the
> context of prior art for the ForCES IETF working group. The focus
> of this
> document is to describe Netlink from a perspective of a protocol
> between a Forwarding Engine Component (FEC) and a Control Plane
> Component (CPC), the two components that define an IP service.
>
> The document ignores the ability of Netlink as a intra-kernel
> messaging system, as an inter-process communication scheme (IPC), or
> as a configuration tool for other non-networking or non-IP network
> services (such as decnet, etc.).
>  NEW:
> This document describes Linux Netlink, which is used in Linux both
> as an intra-kernel messaging system as well as between kernel and
> user space. The focus of this document is to describe Netlink's
> functionality as a protocol between a Forwarding Engine Component
> and a Control Plane Component , the two components that define an IP
> service. As a result of this focus, this document ignores other
> uses of Netlink, including its use as an intra-kernel messaging
> system, as an inter-process communication scheme (IPC), or as a
> configuration tool for non-networking or non-IP network services
> (such as DecNet, etc.).
>
> This document is intended as informational in the
> context of prior art for the ForCES IETF working group.
>
> Change Section 1, para 1, line 1
>  OLD:
> The concept of IP Service control-forwarding separation was first
> introduced in the early 1980s by the BSD 4.4 routing sockets [9].
>  NEW:
> The concept of IP Service control-forwarding separation was first
> introduced in the early 1990s by the BSD 4.4 routing sockets [9].
>